Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain.contract
Class MinMaxContractLine

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.nurserostering.domain.contract.ContractLine
              org.drools.planner.examples.nurserostering.domain.contract.MinMaxContractLine

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class MinMaxContractLine

extends ContractLine

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`MinMaxContractLine()`

Method Summary
`int` | `getMaximumValue()`
`int` | `getMaximumWeight()`
`int` | `getMinimumValue()`
`int` | `getMinimumWeight()`
`boolean` | `isEnabled()`
`boolean` | `isMaximumEnabled()`
`boolean` | `isMinimumEnabled()`
`void` | `setMaximumEnabled(boolean maximumEnabled)`
`void` | `setMaximumValue(int maximumValue)`
`void` | `setMaximumWeight(int maximumWeight)`
`void` | `setMinimumEnabled(boolean minimumEnabled)`
`void` | `setMinimumValue(int minimumValue)`
`void` | `setMinimumWeight(int minimumWeight)`

Methods inherited from class org.drools.planner.examples.nurserostering.domain.contract.ContractLine
`getContract, getContractLineType, setContract, setContractLineType, toString`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MinMaxContractLine

    public MinMaxContractLine()

Method Detail

### isMinimumEnabled

    public boolean isMinimumEnabled()

### setMinimumEnabled

    public void setMinimumEnabled(boolean minimumEnabled)

### getMinimumValue

    public int getMinimumValue()

### setMinimumValue

    public void setMinimumValue(int minimumValue)

### getMinimumWeight

    public int getMinimumWeight()

### setMinimumWeight

    public void setMinimumWeight(int minimumWeight)

### isMaximumEnabled

    public boolean isMaximumEnabled()

### setMaximumEnabled

    public void setMaximumEnabled(boolean maximumEnabled)

### getMaximumValue

    public int getMaximumValue()

### setMaximumValue

    public void setMaximumValue(int maximumValue)

### getMaximumWeight

    public int getMaximumWeight()

### setMaximumWeight

    public void setMaximumWeight(int maximumWeight)

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in class `ContractLine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.